*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Inter', sans-serif;
}

html, body{
    scroll-behavior: smooth;
    height: 100%;
    background-color: #fef5e7;
}

.clear{
    clear: both;
}

section{
    scroll-snap-align: start;
}

.container{
    max-width: 1400px;
    width: 100%;
    margin: 0 auto;
}

.bgCover{
    background:linear-gradient(0deg, rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), url(bg.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size:cover;
    height: 100%;
}

.bgHeader{
    background:linear-gradient(0deg, rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), url(bg.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size:cover;
    height: 600px;
}

.gotopbtn{
    position: fixed;
    width: 40px;
    height: 40px;
    background-color: #c30505;
    bottom: 20px;
    right: 32px;
    text-decoration: none;
    text-align: center;
    line-height: 45px;
    opacity: 0;
    font-size: 24px;
    color: white;
    transition: all 0.4s;
    pointer-events: none;
    border-radius: 20%;
}

.gotopbtn.active {
    pointer-events: auto;
    opacity: 1;
}

.btn-primary-full{
    background-color: #c30505;
    border: none;
    outline: none;
    width: 170px;
    height: 45px;
    color: white;
    font-weight: 600;
    border-radius: 12px;
    font-size: 14px;
    padding: 5px;
    text-transform: uppercase;
    opacity: 0.8;
    transition: all 300ms ease;
    margin-right: 10px;
}

.btn-primary-full:hover{
    opacity: 1;
}

.btn-primary-line{
    background-color: transparent;
    border: 2px solid #c30505;
    outline: none;
    width: 160px;
    height: 45px;
    color: #c30505;
    font-weight: 600;
    border-radius: 12px;
    font-size: 14px;
    padding: 5px;
    text-transform: uppercase;
    transition: all 300ms ease;
}

.btn-primary-line:hover{
    background-color: #c30505;
    color: white;
}

.updown-animation{
    animation-name: infiniteupdown;
    animation-duration: 5s;
    animation-iteration-count: infinite;
    animation-timing-function: ease;
    transition: all .5s;
}

.downup-animation{
    animation-name: infinitedownup;
    animation-duration: 5s;
    animation-iteration-count: infinite;
    animation-timing-function: ease;
    transition: all .5s;
}

@keyframes infiniteupdown{
    0%{
        transform: translateY(0px);
    }

    50%{
        transform: translateY(-40px);
    }

    100%{
        transform: translateY(0px);
    }
}

@keyframes infinitedownup{
    0%{
        transform: translateY(-40px);
    }

    50%{
        transform: translateY(0px);
    }

    100%{
        transform: translateY(-40px);
    }
}

.swiper {
  width: 100%;
  height: 100%;
}

.swiper-slide {
  text-align: center;
  font-size: 18px;
  background: #444;
  display: flex;
  justify-content: center;
  align-items: center;
}

.swiper-slide img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* Menu Desktop */

header{
    background-color: #fdebce;
    position: fixed;
    width: 100%;
    padding: 20px 2rem;
    z-index: 100;
}

header.transparent{
    background-color: transparent;
}

header .navbar{
    width: 100%;
    height: 60px;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

header .navbar .logo{
    display: flex;
    align-items: center;
}

header img{
    width: 200px;
    height: 120px;
}

header .navbar .links{
    display: flex;
    column-gap: 30px;
}

header .navbar .toggle-btn{
    color: #dd8c08;
    font-size: 28px;
    cursor: pointer;
    display: none;
}

header .navbar-mobile{
    display: none;
}

header .navbar .nav-bar-btn{
    background-color: #dd8c08;
    color: #1a1a1a;
    padding: 12px;
    text-transform: uppercase;
    border: none;
    outline: none;
    border-radius: 20px;
    font-size: 16px;
    font-weight: 600;
    cursor: pointer;
    transition: 0.4s ease;
}

header .navbar .nav-bar-btn:hover{
    scale: 1.05;
    color: #1a1a1a;
}

header .navbar .nav-bar-btn:active{
    scale: 0.95;
}

header .navbar li{
    list-style: none;
}

header .navbar a{
    text-transform: uppercase;
    text-decoration: none;
    color: #1a1a1a;
    font-size: 16px;
    cursor: pointer;
}

header .navbar ul li a:hover{
    color: #dd8c08;
}

header .navbar ul li a.active{
    color: #dd8c08;
}

header .navbar ul li a.login{
    background: #dd8c08;
    color: white;
    border-radius: 8px;
    padding: 10px 25px;
    border: 1px solid #dd8c08;
    transition: 0.5s;
}

header .navbar ul li a.login:hover{
    background: transparent;
    color: #dd8c08;
    border: 1px solid #dd8c08;
}

header .navbar ul li i{
    transition: 0.2s;
}

header .navbar .rotate{
    transform: rotate(3.142rad);
}

header .navbar .sub-menu{
    position: absolute;
    top: 80%;
    left: 40%;
    background: white;
    -webkit-box-shadow: 1px 1px 24px 0px rgba(208, 209, 212, 1);
    -moz-box-shadow: 1px 1px 24px 0px rgba(208, 209, 212, 1);
    box-shadow: 1px 1px 24px 0px rgba(208, 209, 212, 1);
    padding: 30px 80px 0 30px;
    border-radius: 8px;
    display: none;
}

header .navbar .sub-menuOpen{
    display: none;
}

header .navbar .sub-menu .singleMenu{
    display: flex;
    margin-bottom: 30px;
    cursor: pointer;
    transition: 0.5s;
}

header .navbar .sub-menu .singleMenu:hover{
    scale: 1.02;
}

header .navbar .sub-menu .singleMenu img{
    width: 30px;
    height: 30px;
    margin-right: 15px;
    margin-top: 3px;
}

header .navbar .sub-menu .singleMenu .menuInfo{
    display: flex;
    flex-direction: column;
}

header .navbar .sub-menu .singleMenu .menuInfo h3{
    text-transform: uppercase;
    font-size: 18px;
    color: #dd8c08;
}

header .navbar .sub-menu .singleMenu .menuInfo p{
    font-size: 14px;
}

/* Menu Mobile */

header .navbar-mobile{
    display: none;
    z-index: 999;
    position: fixed;
    width: 100%;
    top: 100px;
    height: 0;
    left: 0;
    background-color: white;
    overflow: hidden;
    transition: height .2s cubic-bezier(0.175, 0.885, 0.32, 1.275);
}

header .navbar-mobile.open{
    height: 100%;
}

header .navbar-mobile li{
    padding: 5px;
    list-style: none;
    text-transform: uppercase;
}

header .navbar-mobile a{
    text-decoration: none;
    color: #1a1a1a;
    font-size: 16px;
    margin-left: 20px;
    cursor: pointer;
}

header .navbar-mobile button{
    position: absolute;
    bottom: 14%;
    left: 5%;
    background-color: #dd8c08;
    color: white;
    padding: 12px;
    width: 90%;
    text-transform: uppercase;
    border: none;
    outline: none;
    border-radius: 12px;
    font-size: 16px;
    font-weight: 400;
    cursor: pointer;
    transition: 0.4s ease;
}

header .navbar-mobile .Mobilesub-menu{
    margin-top: 10px;
    margin-left: 20px;
    display: none;
}

header .navbar-mobile ul li i{
    transition: 0.2s;
}

header .navbar-mobile .rotate{
    transform: rotate(90deg);
}

header .navbar-mobile .Mobilesub-menu .singleMenu{
    padding: 2px;
    cursor: pointer;
}

header .navbar-mobile .Mobilesub-menu .singleMenu h3{
    text-decoration: none;
    color: #1a1a1a;
    font-size: 16px;
    font-weight: normal;
}


/* Initial Section */
section.welcome{
    padding: 150px 2% 50px 2%;
}

section.welcome .welcome-wraper{
    width: 100%;
    max-width: 1400px;
    position: absolute;
    top: 50%; /* 5. Add this. */
    left: 50%; /* 6. Add this. */
    transform: translate(-50%, -50%); /* 7. Add this. */
}

section.welcome .welcome-wraper2{
    position: absolute;
    left: 0;
    top: 0;
    display: flex;
    align-items: center;
    width: 100%;
    height: 100%;
    gap: 55px;
}

section.welcome .text-welcome{
    width: 100%;
    padding: 0 30px;
}

section.welcome .text-welcome h3{
    color: #c30505;
    font-size: 26px;
    text-transform: uppercase;
    font-weight: 400;
    margin-bottom: 10px;
}

section.welcome .text-welcome h2{
    color: white;
    font-family: "Dancing Script", cursive;
    font-size: 100px;
    margin-bottom: 10px;
    max-width: 700px;
    line-height: 1;
    font-weight: 400;
}

section.welcome .text-welcome p{
    color: white;
    font-weight: 200;
    font-size: 16px;
    margin-bottom: 30px;
    max-width: 700px;
}

section.welcome .text-welcome .text{
    position: relative;
    color: white;
    font-size: 62px;
    font-weight: 600;
    text-transform: uppercase;
}

section.welcome .container .buttons{
    display: flex;
    gap: 10px;
}

section.welcome .container .buttons .btnOne{
    background-color: #c30505;
    border: none;
    outline: none;
    color: white;
    font-weight: 600;
    border-radius: 6px;
    font-size: 16px;
    padding: 15px 40px;
    text-transform: uppercase;
    transition: all 300ms ease;
    margin-right: 10px;
    cursor: pointer;
}

section.welcome .container .buttons .btnOne:hover{
    background-color: white;
    color: #333333;
}

section.welcome .fullBox {
  width: 100%;
  height: 100%;
  box-sizing: border-box; /* garante que o padding não quebre o layout */
  border-radius: 12px;
}

section.welcome .mainBox{
    width: 100%;
    height: 100%;
    border-radius: 12px;
}

section.welcome .mainBox .imageBox{
    width: 100%;
    height: 650px;
    overflow: hidden;
    border-radius: 12px;
}

section.welcome .mainBox .imageBox img{
    width: 100%;
    height: 100%;
    object-fit: cover; /* faz a imagem preencher o espaço sem distorcer */
    object-position: center; /* centraliza o foco da imagem */
    display: block; /* remove possíveis espaçamentos do inline element */
    border-radius: 12px;
}

/* === AQUI ESTÁ A MUDANÇA === */
section.welcome .mainBox .textBox {
  width: 55%;    
  position: absolute;
  bottom: 50px; /* distância da borda inferior da imagem */
  left: 50px;
  background: rgba(255, 255, 255); /* caixa branca semi-transparente */
  padding: 20px 25px;
  border-radius: 10px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
  z-index: 2;
  text-align: left;
}

section.welcome .mainBox .textBox .limitText{
    max-width: 90%;
}

section.welcome .mainBox .textBox h3{
  margin: 5px 0 5px;
  font-size: 30px;
  color: #000;
}

section.welcome .mainBox .textBox .desc{
    font-size: 16px;
}

section.welcome .mainBox .textBox .textAddons{
    display: flex;
    gap: 10px;
    font-size: 12px;
    font-weight: normal;
    text-transform: uppercase;
    align-items: center;
}

section.welcome .mainBox .textBox .textAddons .avatarImage{
    display: flex;
    gap: 5px;
    align-items: center;
}

section.welcome .mainBox .textBox .textAddons .avatarImage .avatar{
    width: 20px;
    height: 20px;
    border-radius: 4px;
    background-color: red;
}

section.welcome .mainBox .textBox .buttonBox{
    margin-top: 10px;
    display: flex;
    gap: 5px;
}

section.welcome .mainBox .textBox .buttonBox .btn1{
    background: #dd8c08;
    color: white;
    border-radius: 8px 0px 0px 8px;
    padding: 10px 25px;
    border: 1px solid #dd8c08;
    transition: 0.5s;
    cursor: pointer;
    font-size: 13px;
    text-transform: uppercase;
}

section.welcome .mainBox .textBox .buttonBox .btn2{
    background: #dd8c08;
    color: white;
    border-radius: 0px 8px 8px 0px;
    padding: 10px 5px;
    border: 1px solid #dd8c08;
    transition: 0.5s;
    cursor: pointer;
    font-size: 13px;
    text-transform: uppercase;
}

/* Treding Now */

section.trendingBox{
    padding: 0px 2% 100px 2%;
    width: 100%;
}

section.trendingBox .trendingDiv{
    position: relative;
    display: grid;
    grid-template-columns: 3fr 1fr; /* 1 box grande, 1 pequena */
    min-height: 200px;
    gap: 30px; /* espaço entre as boxes */
}

section.trendingBox .box{
    position: relative;
    height: 300px; /* altura fixa de exemplo */
}

section.trendingBox .box .trendingHeader {
  display: flex;
  align-items: center;
  gap: 8px; /* Espaçamento entre a barra e o texto */
  margin-bottom: 20px;
}

section.trendingBox .box .trendingHeader::before {
  content: "";
  width: 10px;           /* Espessura da barra */
  height: 24px;         /* Altura da barra */
  background-color: #dd8c08; /* Vermelho vivo */
}

section.trendingBox .box .trendingHeader h3 {
  font-size: 22px;
  font-weight: 700;
  color: #222; /* Cinzento escuro */
  margin: 0;
  text-transform: uppercase;
}

section.trendingBox .box .trendingContent {
  flex: 0 0 100%;
  max-width: 100%;
  display: flex;
  flex-wrap: wrap;
  gap: 20px; /* espaçamento horizontal e vertical entre os itens */
}

section.trendingBox .box .trendingContent .singleTrending {
  flex: 1 1 calc(33.333% - 20px); /* ajusta para compensar o gap */
  max-width: calc(33.333% - 20px);
  position: relative;
  padding: 5px 0;
}

section.trendingBox .box .trendingContent .singleTrending .imageBox{
    width: 100%;
}

section.trendingBox .box .trendingContent .singleTrending img{
    width: 100%;
}

/* Roda Pé */

footer{
    padding: 100px 2% 20px 2%;
    text-align: center;
}

footer img{
    width: 190px;
    height: 100px;
}

footer .footerBox {
    display: flex;
    justify-content: space-between; /* Espaçamento uniforme entre os itens */
    width: 100%; /* A largura da div pai será 100% */
    margin-bottom: 80px;
}

footer .footerSingle {
    text-align: start; /* Centraliza o texto, se necessário */
}

footer .footerSingle .links{
    display: flex;
    flex-direction: column;
    gap: 10px;
    cursor: pointer;
}

footer .footerSingle .links h3{
    text-transform: uppercase;
    color: #333333;
    font-weight: normal;
    font-size: 17px;
}

footer .footerSingle .links .linkBox{
    display: flex;
    flex-direction: column;
    gap: 5px;
    color: #788187;
    font-size: 15px;
}

footer .footerSingle .links .linkBox a{
    transition: all 300ms ease;
}

footer .footerSingle .links .linkBox a:hover{
    text-decoration: underline;
}

footer .footerSingle .links .linkBox .linkContact{
    display: flex;
    flex-direction: row;
    gap: 5px;
    align-items: center;
}

footer .footerSingle .links .linkBox .linkContact i{
    font-size: 26px;
    width: 35px;
    height: 35px;
    text-align: center;
    line-height: 35px;
    border-radius: 50%;
    transition: all 300ms ease;
    cursor: pointer;
}

footer .footerSingle .links .linkBox .linkContact i:hover{
    background-color: #c30505;
    color: white;
}

footer .footerSingle .links .linkBox .linkContact p{
    max-width: 350px;
}

footer .copyRight p{
    color: #a2a8ac;
}

@media screen and (max-width: 1200px){
    /* Initial Section */
    section.welcome{
        padding-top: 100px;
        padding-left: 2%;
        padding-right: 2%;
    }
    
    section.welcome .welcome-wraper{
        padding-top: 0;
        width: 100%;
        position: absolute;
        top: 50%; /* 5. Add this. */
        left: 50%; /* 6. Add this. */
        transform: translate(-50%, -50%); /* 7. Add this. */
    }
    
    section.sustentBox .normalBox .sustentSingle{
        flex: 0 0 50%;
        max-width: 50%;
        position: relative;
        padding: 25px;
    }
    
    footer {
        padding: 20px 2% 20px 2%;
        text-align: center; /* Centraliza o conteúdo do footer */
        display: flex;
        flex-direction: column;
        align-items: center; /* Alinha todo o conteúdo ao centro */
    }
    
    footer img {
        width: 190px;
        height: 100px;
        margin-bottom: 20px; /* Adiciona algum espaçamento abaixo da imagem */
    }
    
    footer .footerBox {
        display: flex;
        flex-direction: column;
        justify-content: normal; /* Centraliza os itens dentro da caixa */
        width: 100%;
        margin-bottom: 80px;
        gap: 40px; /* Espaço entre os itens */
    }
    
    footer .footerSingle {
        text-align: center; /* Centraliza o texto dentro de cada "footerSingle" */
    }
    
    footer .footerSingle .links {
        display: flex;
        flex-direction: column;
        gap: 10px;
        cursor: pointer;
        align-items: center; /* Alinha os links ao centro */
    }
    
    footer .footerSingle .links h3 {
        text-transform: uppercase;
        color: #333333;
        font-weight: normal;
        font-size: 17px;
    }
    
    footer .footerSingle .links .linkBox {
        display: flex;
        flex-direction: column;
        gap: 5px;
        color: #788187;
        font-size: 15px;
        align-items: center; /* Alinha os itens da linkBox ao centro */
    }
    
    footer .footerSingle .links .linkBox a {
        transition: all 300ms ease;
    }
    
    footer .footerSingle .links .linkBox a:hover {
        text-decoration: underline;
    }
    
    footer .footerSingle .links .linkBox .linkContact {
        display: flex;
        flex-direction: column;
        gap: 5px;
        align-items: center;
        justify-content: center; /* Alinha os ícones e texto ao centro */
    }
    
    footer .footerSingle .links .linkBox .linkContact i {
        font-size: 26px;
        width: 35px;
        height: 35px;
        text-align: center;
        line-height: 35px;
        border-radius: 50%;
        transition: all 300ms ease;
        cursor: pointer;
    }
    
    footer .footerSingle .links .linkBox .linkContact i:hover {
        background-color: #c30505;
        color: white;
    }
    
    footer .footerSingle .links .linkBox .linkContact p {
        max-width: 350px;
        text-align: center; /* Garante que o texto do contato esteja centralizado */
    }
    
    footer .copyRight p {
        color: #a2a8ac;
        margin-top: 20px; /* Adiciona espaço entre o conteúdo e o copyright */
    }
    
    }

@media screen and (max-width: 1000px){
    header .navbar .links{
        display: none;
    }
    
    header .navbar .toggle-btn{
        font-size: 26px;
        color: white;
        display: block;
    }
    
    section.about .aboutBox .aboutSingle{
        flex: 0 0 100%;
        max-width: 100%;
        position: relative;
        padding: 25px;
    }
    
    section.about .aboutBox .aboutSingle .singleBox .boxPerma .aboutImage img{
        width: 100%;
        height: 500px;
        border-radius: 12px;
    }
}

@media screen and (max-width: 850px){
    section.welcome .welcome-wraper{
        width: 100%;
        max-width: 100%;
        text-align: center;
    }
    
    section.welcome .welcome-wraper2{
        position: relative;
        display: block;
        align-items: center;
        gap: 0px;
    }
    
    section.welcome .text-welcome h2{
        max-width: 100%;
        font-size: 86px;
        text-align: center;
    }
    
    section.welcome .text-welcome p{
        color: white;
        font-weight: 200;
        font-size: 16px;
        margin-bottom: 30px;
        max-width: 100%;
        text-align: center;
    }
    
    section.welcome .container .buttons{
        display: flex;
        flex-direction: column;
        gap: 15px;
        text-align: center;
    }
    
    section.sustentBox .normalBox .sustentSingle{
        flex: 0 0 100%;
        max-width: 100%;
        position: relative;
        padding: 25px;
    }
}

@media screen and (max-width: 650px){
    section.welcome .text-welcome h2{
        max-width: 100%;
        font-size: 75px;
        text-align: center;
    }
    
    section.about .aboutBox .aboutSingle .singleBox .boxPerma .aboutImage img{
        width: 100%;
        height: 400px;
        border-radius: 12px;
    }
}

@media screen and (max-width: 500px){
    section.welcome .text-welcome h2{
        font-size: 60px;
    }
    
    section.about .aboutBox .aboutSingle .singleBox .boxPerma .aboutImage img{
        width: 100%;
        height: 300px;
        border-radius: 12px;
    }
}